org.apache.ode.bpel.pmapi

## Interface TEndpointReferences.EndpointRef

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TEndpointReferencesImpl.EndpointRefImpl
  Enclosing interface:
    TEndpointReferences

      public static interface TEndpointReferences.EndpointRef
      extends org.apache.xmlbeans.XmlObject

  An XML endpoint-ref(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TEndpointReferences.EndpointRef.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMyRole()` Gets the "my-role" attribute
    `java.lang.String` | `getPartnerLink()` Gets the "partner-link" attribute
    `java.lang.String` | `getPartnerRole()` Gets the "partner-role" attribute
    `boolean` | `isSetMyRole()` True if has "my-role" attribute
    `boolean` | `isSetPartnerLink()` True if has "partner-link" attribute
    `boolean` | `isSetPartnerRole()` True if has "partner-role" attribute
    `void` | `setMyRole(java.lang.String myRole)` Sets the "my-role" attribute
    `void` | `setPartnerLink(java.lang.String partnerLink)` Sets the "partner-link" attribute
    `void` | `setPartnerRole(java.lang.String partnerRole)` Sets the "partner-role" attribute
    `void` | `unsetMyRole()` Unsets the "my-role" attribute
    `void` | `unsetPartnerLink()` Unsets the "partner-link" attribute
    `void` | `unsetPartnerRole()` Unsets the "partner-role" attribute
    `org.apache.xmlbeans.XmlString` | `xgetMyRole()` Gets (as xml) the "my-role" attribute
    `org.apache.xmlbeans.XmlString` | `xgetPartnerLink()` Gets (as xml) the "partner-link" attribute
    `org.apache.xmlbeans.XmlString` | `xgetPartnerRole()` Gets (as xml) the "partner-role" attribute
    `void` | `xsetMyRole(org.apache.xmlbeans.XmlString myRole)` Sets (as xml) the "my-role" attribute
    `void` | `xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)` Sets (as xml) the "partner-link" attribute
    `void` | `xsetPartnerRole(org.apache.xmlbeans.XmlString partnerRole)` Sets (as xml) the "partner-role" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getPartnerLink

          java.lang.String getPartnerLink()

      Gets the "partner-link" attribute

    - #### xgetPartnerLink

          org.apache.xmlbeans.XmlString xgetPartnerLink()

      Gets (as xml) the "partner-link" attribute

    - #### isSetPartnerLink

          boolean isSetPartnerLink()

      True if has "partner-link" attribute

    - #### setPartnerLink

          void setPartnerLink(java.lang.String partnerLink)

      Sets the "partner-link" attribute

    - #### xsetPartnerLink

          void xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)

      Sets (as xml) the "partner-link" attribute

    - #### unsetPartnerLink

          void unsetPartnerLink()

      Unsets the "partner-link" attribute

    - #### getPartnerRole

          java.lang.String getPartnerRole()

      Gets the "partner-role" attribute

    - #### xgetPartnerRole

          org.apache.xmlbeans.XmlString xgetPartnerRole()

      Gets (as xml) the "partner-role" attribute

    - #### isSetPartnerRole

          boolean isSetPartnerRole()

      True if has "partner-role" attribute

    - #### setPartnerRole

          void setPartnerRole(java.lang.String partnerRole)

      Sets the "partner-role" attribute

    - #### xsetPartnerRole

          void xsetPartnerRole(org.apache.xmlbeans.XmlString partnerRole)

      Sets (as xml) the "partner-role" attribute

    - #### unsetPartnerRole

          void unsetPartnerRole()

      Unsets the "partner-role" attribute

    - #### getMyRole

          java.lang.String getMyRole()

      Gets the "my-role" attribute

    - #### xgetMyRole

          org.apache.xmlbeans.XmlString xgetMyRole()

      Gets (as xml) the "my-role" attribute

    - #### isSetMyRole

          boolean isSetMyRole()

      True if has "my-role" attribute

    - #### setMyRole

          void setMyRole(java.lang.String myRole)

      Sets the "my-role" attribute

    - #### xsetMyRole

          void xsetMyRole(org.apache.xmlbeans.XmlString myRole)

      Sets (as xml) the "my-role" attribute

    - #### unsetMyRole

          void unsetMyRole()

      Unsets the "my-role" attribute